globus_gsi_proxy_constants(3)

NAME
globus_gsi_proxy_constants - Proxy Constants

 - Proxy Constants.

SYNOPSIS

  Enumerations

enum globus_gsi_proxy_error_t { GLOBUS_GSI_PROXY_ERROR_SUCCESS = 0, GLOBUS_GSI_PROXY_ERROR_WITH_HANDLE = 1, GLOBUS_GSI_PROXY_ERROR_WITH_HANDLE_ATTRS = 2, GLOBUS_GSI_PROXY_ERROR_WITH_PROXYCERTINFO = 3, GLOBUS_GSI_PROXY_ERROR_WITH_PROXYPOLICY = 4, GLOBUS_GSI_PROXY_ERROR_WITH_PATHLENGTH = 5, GLOBUS_GSI_PROXY_ERROR_WITH_X509_REQ = 6, GLOBUS_GSI_PROXY_ERROR_WITH_X509 = 7, GLOBUS_GSI_PROXY_ERROR_WITH_X509_EXTENSIONS = 8, GLOBUS_GSI_PROXY_ERROR_WITH_PRIVATE_KEY = 9, GLOBUS_GSI_PROXY_ERROR_WITH_BIO = 10, GLOBUS_GSI_PROXY_ERROR_WITH_CREDENTIAL = 11, GLOBUS_GSI_PROXY_ERROR_WITH_CRED_HANDLE = 12, GLOBUS_GSI_PROXY_ERROR_WITH_CRED_HANDLE_ATTRS = 13, GLOBUS_GSI_PROXY_ERROR_ERRNO = 14, GLOBUS_GSI_PROXY_ERROR_SETTING_HANDLE_TYPE = 15, GLOBUS_GSI_PROXY_INVALID_PARAMETER = 16, GLOBUS_GSI_PROXY_ERROR_SIGNING = 17, GLOBUS_GSI_PROXY_ERROR_LAST = 18 }

Detailed Description

Proxy Constants.

Enumeration Type Documentation

  enum globus_gsi_proxy_error_t
Proxy Error codes

Enumerator

GLOBUS_GSI_PROXY_ERROR_SUCCESS
    Success - never used

GLOBUS_GSI_PROXY_ERROR_WITH_HANDLE
    Invalid proxy handle state

GLOBUS_GSI_PROXY_ERROR_WITH_HANDLE_ATTRS
    Invalid proxy handle attributes state

GLOBUS_GSI_PROXY_ERROR_WITH_PROXYCERTINFO
    Error with ASN.1 proxycertinfo structure

GLOBUS_GSI_PROXY_ERROR_WITH_PROXYPOLICY
    Error with ASN.1 proxypolicy structure

GLOBUS_GSI_PROXY_ERROR_WITH_PATHLENGTH
    Error with proxy path length

GLOBUS_GSI_PROXY_ERROR_WITH_X509_REQ
    Error with the X.509 request structure

GLOBUS_GSI_PROXY_ERROR_WITH_X509
    Error with X.509 structure

GLOBUS_GSI_PROXY_ERROR_WITH_X509_EXTENSIONS
    Error with X.509 extensions

GLOBUS_GSI_PROXY_ERROR_WITH_PRIVATE_KEY
    Error with private key

GLOBUS_GSI_PROXY_ERROR_WITH_BIO
    Error with OpenSSL's BIO handle

GLOBUS_GSI_PROXY_ERROR_WITH_CREDENTIAL
    Error with credential

GLOBUS_GSI_PROXY_ERROR_WITH_CRED_HANDLE
    Error with credential handle

GLOBUS_GSI_PROXY_ERROR_WITH_CRED_HANDLE_ATTRS
    Error with credential handle attributes

GLOBUS_GSI_PROXY_ERROR_ERRNO
    System error

GLOBUS_GSI_PROXY_ERROR_SETTING_HANDLE_TYPE
    Unable to set proxy type

GLOBUS_GSI_PROXY_INVALID_PARAMETER
    Invalid function parameter

GLOBUS_GSI_PROXY_ERROR_SIGNING
    A error occurred while signing the proxy certificate

GLOBUS_GSI_PROXY_ERROR_LAST
    Last marker - never used

Author

Generated automatically by Doxygen for globus_gsi_proxy_core from the source code.